<canvas></canvas>

<script>
	const canvas = document.querySelector('canvas');
	const ctx = canvas.getContext('2d');

	canvas.width = 800;
	canvas.height = 600;

	const tile_height = 32;
	const tile_width = 32;

	const map = [
		0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		0, 1, 1, 1, 1, 1, 1, 1, 1, 0,
		0, 1, 0, 0, 0, 0, 0, 0, 1, 0,
		0, 1, 0, 0, 0, 0, 0, 0, 1, 0,
		0, 1, 0, 0, 0, 0, 0, 0, 1, 0,
		0, 1, 0, 0, 0, 0, 0, 0, 1, 0,
		0, 1, 0, 0, 0, 0, 0, 0, 1, 0,
		0, 1, 0, 0, 0, 0, 0, 0, 1, 0,
		0, 1, 1, 1, 1, 1, 1, 1, 1, 0,
		0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	];

	// render the map
	map.forEach((tile, index) => {
		const x = (index % 10) * tile_width;
		const y = Math.floor(index / 10) * tile_height;

		ctx.fillStyle = tile === 0 ? 'black' : 'white';
		ctx.fillRect(x, y, tile_width, tile_height);
	});
</script>
